spandsp 0.0.6

timezone.c File Reference
`#include <stdlib.h>`
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <time.h>`
`#include <assert.h>`
`#include "spandsp/telephony.h"`
`#include "spandsp/timezone.h"`
`#include "spandsp/private/timezone.h"`

## Classes
struct | tz_rule_s

## Macros
#define | SECS_PER_MIN 60
#define | MINS_PER_HOUR 60
#define | HOURS_PER_DAY 24
#define | DAYS_PER_WEEK 7
#define | DAYS_PER_NON_LEAP_YEAR 365
#define | DAYS_PER_LEAP_YEAR 366
#define | SECS_PER_HOUR (SECS_PER_MIN*MINS_PER_HOUR)
#define | SECS_PER_DAY ((long int) SECS_PER_HOUR*HOURS_PER_DAY)
#define | MONTHS_PER_YEAR 12
#define | TM_YEAR_BASE 1900
#define | EPOCH_YEAR 1970
#define | EPOCH_WDAY TM_THURSDAY
#define | isleap(y)
#define | isleap_sum(a, b)
#define | is_digit(c)
#define | TZ_DEF_RULE_STRING ",M4.1.0,M10.5.0"
#define | JULIAN_DAY 0 /* Jn - Julian day */
#define | DAY_OF_YEAR 1 /* n - day of year */
#define | MONTH_NTH_DAY_OF_WEEK 2 /* Mm.n.d - month, week, day of week */

## Functions
int | tz_localtime (tz_t *tz, struct tm *tmp, time_t t)
const char * | tz_tzname (tz_t *tz, int isdst)
tz_t * | tz_init (tz_t *tz, const char *tzstring)
int | tz_release (tz_t *tz)
int | tz_free (tz_t *tz)

## Macro Definition Documentation

## ◆ is_digit

#define is_digit | ( |  | c | ) |

Value:
((unsigned int) (c) - '0' <= 9)

## ◆ isleap

#define isleap | ( |  | y | ) |

Value:
(((y)%4) == 0 && (((y)%100) != 0 || ((y)%400) == 0))

## ◆ isleap_sum

#define isleap_sum | ( |  | a,
|  |  | b )

Value:
isleap((a)%400 + (b)%400)